# Conditional build:
%bcond_without	tests   # unit tests
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define		module		IPy
%define		egg_name	IPy
%define		pypi_name	IPy
Summary:	Class and tools for handling of IPv4 and IPv6 addresses and networks
Summary(pl.UTF-8):	Klasy i narzędzia do obsługi adresów i sieci IPv4 i IPv6
Name:		python-%{pypi_name}
Version:	1.01
Release:	1
License:	BSD
Group:		Libraries/Python
Source0:	https://pypi.debian.net/IPy/%{module}-%{version}.tar.gz
# Source0-md5:	d6cf83e7f418ebbd23324ba1c658b907
URL:		https://github.com/haypo/python-ipy/wiki
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
Requires:	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 Addresses and Networks. It was
greatly inspired bei RIPE's Perl module Net::IP's interface but
doesn't share the Implementation. It doesn't share non-CIDR netmasks,
so funky stuff lixe a netmask 0xffffff0f can't be done here.

%description -l pl.UTF-8
Klasa IP pozwala w wygodny sposób analizować i obsługiwać większość
używanych notacji zapisu adresów i sieci IPv4 i IPv6. Jest w dużej
części zainspirowana interfejsem modułu Perla RIPE Net::IP, ale nie
współdzieli z nim implementacji. Nie dzieli masek sieciowych nie-CIDR,
więc zabawne rzeczy typu maska 0xffffff0f są tutaj niewykonalne.

%package -n python3-%{pypi_name}
Summary:	Class and tools for handling of IPv4 and IPv6 addresses and networks
Summary(pl.UTF-8):	Klasy i narzędzia do obsługi adresów i sieci IPv4 i IPv6
Group:		Libraries/Python
Requires:	python3-modules

%description -n python3-%{pypi_name}
The IP class allows a comfortable parsing and handling for most
notations in use for IPv4 and IPv6 Addresses and Networks. It was
greatly inspired bei RIPE's Perl module Net::IP's interface but
doesn't share the Implementation. It doesn't share non-CIDR netmasks,
so funky stuff lixe a netmask 0xffffff0f can't be done here.

%description -n python3-%{pypi_name} -l pl.UTF-8
Klasa IP pozwala w wygodny sposób analizować i obsługiwać większość
używanych notacji zapisu adresów i sieci IPv4 i IPv6. Jest w dużej
części zainspirowana interfejsem modułu Perla RIPE Net::IP, ale nie
współdzieli z nim implementacji. Nie dzieli masek sieciowych nie-CIDR,
więc zabawne rzeczy typu maska 0xffffff0f są tutaj niewykonalne.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%if %{with python2}
%py_build
%if %{with tests}
for test in test/*.py; do
	# enable when this is fixed: https://github.com/autocracy/python-ipy/issues/27
	[ "$test" = "test/test_fuzz.py" ] && continue
	PYTHONPATH=build-2 %{__python} "$test"
done
%endif
%endif

%if %{with python3}
%py3_build
%if %{with tests}
for test in test/*.py; do
	# enable when this is fixed: https://github.com/autocracy/python-ipy/issues/27
	[ "$test" = "test/test_fuzz.py" ] && continue
	PYTHONPATH=build-3 %{__python3} "$test"
done
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

# when files are installed in other way that standard 'setup.py
# they need to be (re-)compiled
# change %{py_sitedir} to %{py_sitescriptdir} for 'noarch' packages!
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc ChangeLog README.rst AUTHORS COPYING
%{py_sitescriptdir}/%{module}.py*
%{py_sitescriptdir}/%{egg_name}-*-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{pypi_name}
%defattr(644,root,root,755)
%doc ChangeLog README.rst AUTHORS COPYING
%{py3_sitescriptdir}/%{module}.py*
%{py3_sitescriptdir}/__pycache__/%{module}.*.pyc
%{py3_sitescriptdir}/%{egg_name}-*-py*.egg-info
%endif
%changelog
* Tue Oct 25 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-IPy.git;a=log;h=master

* Tue Oct 25 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 92cffda
- Up to 1.01

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 3ade2ca
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> e6bdd93
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> 1eaf401
- rebuild with python 3.10

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> eca2e36
- release 3 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c80be30
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Mar 13 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> aa44e16
- skip fuzz test for now

* Tue Mar 12 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 7842667
- run tests; fuzzy test catches bad things now

* Tue Mar 12 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> ea45be6
- up to 1.00

* Wed Jan 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> c50a6d3
- cleanup summary/notes

* Wed Jan 16 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 3506e45
- up to 0.83; build python3 package, too

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 4a00a78
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 6fff749
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f912778
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2c2826e
- automatic change: use py_build/py_install macros

* Wed Mar 27 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 22c99a3
- up to 0.80

* Sun Jan 22 2012 zbyniu <zbyniu@pld-linux.org> ddb687c
- up to 0.75

* Mon Feb 21 2011 areq <areq@pld-linux.org> d77e90f
- 0.74

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 2862162
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1597293
- release 2

